# Uses of Enum Class
org.bukkit.entity.Boat.Type

Packages that use Boat.Type
Package
Description
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of Boat.Type in org.bukkit.entity

Methods in org.bukkit.entity that return Boat.Type
Modifier and Type
Method
Description
`@NotNull Boat.Type`
Boat.`getBoatType()`
Gets the type of the boat.
`static Boat.Type`
Boat.Type.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Boat.Type[]`
Boat.Type.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.entity with parameters of type Boat.Type
Modifier and Type
Method
Description
`void`
Boat.`setBoatType(@NotNull Boat.Type type)`
Sets the type of the boat.